# Generated by Django 4.2.6 on 2023-10-29 15:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='camping',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(default='generico', max_length=30)),
                ('year', models.DateField(auto_now_add=True)),
                ('lasteditor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='generic caegory', max_length=25)),
                ('lasteditor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='custormer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name_first', models.CharField(max_length=35)),
                ('last_name_pat', models.CharField(max_length=25)),
                ('last_name_mat', models.CharField(blank=True, max_length=25)),
                ('phone', models.IntegerField(max_length=15)),
                ('cp', models.IntegerField(max_length=5)),
                ('streat', models.CharField(max_length=25)),
                ('number_home', models.IntegerField(max_length=3)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='gender',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='nonbinary', max_length=10)),
                ('lasteditor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='imagen',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('link', models.ImageField(blank=True, null=True, upload_to='')),
                ('link2', models.ImageField(blank=True, null=True, upload_to='')),
                ('link3', models.ImageField(blank=True, null=True, upload_to='')),
                ('lasteditor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='payment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=10)),
                ('reference', models.IntegerField(max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=35)),
                ('description', models.TextField(max_length=256)),
                ('size', models.CharField(max_length=4)),
                ('price_uni', models.FloatField(default=0)),
                ('status', models.BooleanField(default=False)),
                ('stock', models.IntegerField(default=1)),
                ('models', models.SlugField(default='Generic slug', max_length=6)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.category')),
                ('compaing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.camping')),
                ('gender', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.gender')),
                ('imagen', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.imagen')),
                ('lasteditor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(auto_now_add=True)),
                ('code_flow', models.CharField(max_length=10)),
                ('subtotal', models.FloatField(default=0.0)),
                ('IVA', models.FloatField(default=0.0)),
                ('total', models.FloatField(default=0.0)),
                ('custormer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.custormer')),
                ('payment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.payment')),
            ],
        ),
    ]
